﻿using Noesis;
using PsalmsOfEia.UI.Menus.Commands;
using System;
using System.ComponentModel;

namespace PsalmsOfEia.UI.Menus.ViewModels
{
    public class LoginViewModel : BaseViewModel, IViewModel
    {
        public DelegateCommand LoginCommand { get; private set; }

        public LoginViewModel()
        {
            LoginCommand = new DelegateCommand(ChangeView);
        }

        private void ChangeView(object parameter)
        {
            NavigateNext();
        }

        public void NavigateNext()
        {
            SetViewModel(new MainViewModel());
        }

        public void NavigatePrevious()
        {
        }

        public void Dispose()
        {
        }
    }
}
