﻿using Noesis;
using PsalmsOfEia.UI.Menus.Commands;
using System;
using System.ComponentModel;

namespace PsalmsOfEia.UI.Menus.ViewModels
{
    public class MainViewModel : BaseViewModel, IViewModel
    {
        public DelegateCommand ChangeCommand { get; private set; }

        public MainViewModel()
        {
            ChangeCommand = new DelegateCommand(ChangeView);
        }

        private void ChangeView(object parameter)
        {
            NavigateNext();
        }

        public void NavigateNext()
        {
            SetViewModel(new LoginViewModel());
        }

        public void NavigatePrevious()
        {
        }

        public void Dispose()
        {
        }
    }
}
